Subject: Re: bug#18195: 24.3.92; window-screen-lines is not accurate

From: martin rudalics <[email-masked]>
Date: Wed, 06 Aug 2014 19:46:17 +0200

> You are talking about things that are possible only on the C level,
 > not from Lisp.  My point was that we don't expose enough APIs to Lisp
 > to allow such applications, and you now agreed with me.

I was over-complicating things.  The solution is much simpler and all
tools are already on board.  Dmitry just has to insert his overlays
where he wants them and run `window-text-pixel-size' over that window.
If the text including the overlays fits he's done.  Otherwise, he has to
remove the overlays and proceed with whatever alternate solution he has.
No hands needed.

martin